groff-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[groff] 08/10: [man]: Add regression test for Savannah #61386.


From: G. Branden Robinson
Subject: [groff] 08/10: [man]: Add regression test for Savannah #61386.
Date: Tue, 26 Oct 2021 07:36:02 -0400 (EDT)

gbranden pushed a commit to branch master
in repository groff.

commit 3e64d52d059327d60925e006e3c2b4b22de26feb
Author: G. Branden Robinson <g.branden.robinson@gmail.com>
AuthorDate: Tue Oct 26 16:06:27 2021 +1100

    [man]: Add regression test for Savannah #61386.
    
    * tmac/tests/an_inner-footer-abbreviation-works.sh: Do it.
    * tmac/tmac.am (tmac_TESTS): Run test.
    
    Test fails at this commit.
---
 ChangeLog                                        |  7 +++
 tmac/tests/an_inner-footer-abbreviation-works.sh | 57 ++++++++++++++++++++++++
 tmac/tmac.am                                     |  1 +
 3 files changed, 65 insertions(+)

diff --git a/ChangeLog b/ChangeLog
index 958a7fc..b7b84bd 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,12 @@
 2021-10-26  G. Branden Robinson <g.branden.robinson@gmail.com>
 
+       Add regression test for Savannah #61386.
+
+       * tmac/tests/an_inner-footer-abbreviation-works.sh: Do it.
+       * tmac/tmac.am (tmac_TESTS): Run test.
+
+2021-10-26  G. Branden Robinson <g.branden.robinson@gmail.com>
+
        * man/groff_char.7.man (Description, Special character escape
        forms): Document the `\C` escape sequence.  Fix error: \[a] is
        _not_ "translated to \a, the uninterpreted leader escape
diff --git a/tmac/tests/an_inner-footer-abbreviation-works.sh 
b/tmac/tests/an_inner-footer-abbreviation-works.sh
new file mode 100755
index 0000000..d65deeb
--- /dev/null
+++ b/tmac/tests/an_inner-footer-abbreviation-works.sh
@@ -0,0 +1,57 @@
+#!/bin/sh
+#
+# Copyright (C) 2021 Free Software Foundation, Inc.
+#
+# This file is part of groff.
+#
+# groff is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# groff is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+groff="${abs_top_builddir:-.}/test-groff"
+
+# Regression-test Savannah #61386.
+#
+# Excessively long "extra2" arguments to 'TH' (we recommend using this
+# for project name and version information) can overrun other parts of
+# the titles, such as a date in the center footer.
+
+FAIL=
+
+INPUT='.TH foo 1 2021-10-26 "groff 1.23.0.rc1.1449-84949"
+.SH Name
+foo \- a command with a very short name'
+
+echo 'testing long inner footer with sufficient space to set it' >&2
+OUTPUT=$(echo "$INPUT" | "$groff" -Tascii -P-cbou -man)
+PATTERN='groff 1\.23\.0\.rc1\.1449-84949 +2021-10-26 +foo\(1\)'
+
+if ! echo "$OUTPUT" | grep -Eq "$PATTERN"
+then
+    FAIL=yes
+    echo "...FAILED" >&2
+fi
+
+echo 'testing long inner footer with insufficient space to set it' >&2
+OUTPUT=$(echo "$INPUT" | "$groff" -Tascii -P-cbou -man -rLL=60n)
+PATTERN='groff 1\.23\.0\.\.\.449-84949 +2021-10-26 +foo\(1\)'
+
+if ! echo "$OUTPUT" | grep -Eq "$PATTERN"
+then
+    FAIL=yes
+    echo "...FAILED" >&2
+fi
+
+test -z "$FAIL"
+
+# vim:set ai et sw=4 ts=4 tw=72:
diff --git a/tmac/tmac.am b/tmac/tmac.am
index 41d65a3..7379308 100644
--- a/tmac/tmac.am
+++ b/tmac/tmac.am
@@ -167,6 +167,7 @@ tmac_TESTS = \
   tmac/tests/an_X-register-works.sh \
   tmac/tests/an_avoid-two-font-denial-of-service.sh \
   tmac/tests/an_font-remapping-does-not-affect-titles.sh \
+  tmac/tests/an_inner-footer-abbreviation-works.sh \
   tmac/tests/an_no-break-after-short-paragraph-tags.sh \
   tmac/tests/an_page-footers-present.sh \
   tmac/tests/an_page-header-has-current-data.sh \



reply via email to

[Prev in Thread] Current Thread [Next in Thread]